# zkLink X Documentaion

## zkLink X Documentation

- [Introduction](https://docs.zk.link/welcome/readme.md): zkLink X: The App-Specific Aggregated Rollup Infrastructure Built for High Performance ZK Applications.
- [Overview](https://docs.zk.link/architecture/architecture.md)
- [TransactionFlow](https://docs.zk.link/architecture/transactionflow.md)
- [Settlement Layer](https://docs.zk.link/architecture/settlement-layer.md)
- [Working Principal of A Multi-Chain ZK-Rollup](https://docs.zk.link/architecture/settlement-layer/working-principal-of-a-multi-chain-zk-rollup.md)
- [Nexus: Settlement on ETH L2s](https://docs.zk.link/architecture/settlement-layer/nexus-settlement-on-eth-l2s.md)
- [Origin: Settlement on ETH and Alt-L1s](https://docs.zk.link/architecture/settlement-layer/origin-settlement-on-eth-and-alt-l1s.md)
- [Multi-Chain State Synchronization](https://docs.zk.link/architecture/settlement-layer/multi-chain-state-synchronization.md)
- [In-Detail: Nexus Multi-Chain State Synchronization](https://docs.zk.link/architecture/settlement-layer/multi-chain-state-synchronization/in-detail-nexus-multi-chain-state-synchronization.md)
- [Supported Networks of zkLink Nexus and Origin](https://docs.zk.link/architecture/settlement-layer/supported-networks-of-zklink-nexus-and-origin.md)
- [Security Assumptions of zkLink Nexus and Origin](https://docs.zk.link/architecture/settlement-layer/security-assumptions-of-zklink-nexus-and-origin.md)
- [Execution Layer](https://docs.zk.link/architecture/execution-layer.md)
- [TS-zkVM for App Rollup](https://docs.zk.link/architecture/execution-layer/ts-zkvm-for-app-rollup.md): The TS-zkVM is a high-efficiency ZKP execution environment specifically designed for high-performance financial products such as CLOBs, and it is constructed by zkLink.
- [Sequencing Layer](https://docs.zk.link/architecture/sequencing-layer.md)
- [DA Layer](https://docs.zk.link/architecture/da-layer.md)
- [Developer Overview](https://docs.zk.link/developer/overview.md): This section is designed for dApp developers, offering a concise overview of zkLink's infra to streamline the understanding of zkLink's features for efficient dApp development and integration.
- [Get Started](https://docs.zk.link/developer/quick-start.md)
- [Examples](https://docs.zk.link/developer/examples.md)
- [Base Demo](https://docs.zk.link/developer/examples/base-demo.md)
- [JSON RPC & Websocket & Kafka](https://docs.zk.link/developer/json-rpc-and-websocket-and-kafka.md): Developers can send all the layer3 transactions to the zkLink and get the associated information from zkLink. zkLink also push the transaction state update via websocket to dApp.
- [JSON-RPC API](https://docs.zk.link/developer/json-rpc-and-websocket-and-kafka/json-rpc-api.md)
- [JSON-RPC Errors](https://docs.zk.link/developer/json-rpc-and-websocket-and-kafka/json-rpc-errors.md)
- [Websocket](https://docs.zk.link/developer/json-rpc-and-websocket-and-kafka/websocket.md)
- [Kafka](https://docs.zk.link/developer/json-rpc-and-websocket-and-kafka/kafka.md)
- [Transactions](https://docs.zk.link/developer/api-and-sdk.md): zkLink sdk now support all the functions in Golang, Javascript and Rust. You can use it to generate private key, build the transaction and generate signature. For the developer who use the other langu
- [Basic Types](https://docs.zk.link/developer/api-and-sdk/basic-types.md)
- [State Update](https://docs.zk.link/developer/api-and-sdk/state-update.md)
- [Transaction](https://docs.zk.link/developer/api-and-sdk/transaction.md)
- [Deposit](https://docs.zk.link/developer/api-and-sdk/transaction/deposit.md)
- [FullExit](https://docs.zk.link/developer/api-and-sdk/transaction/full_exit.md)
- [ChangePubKey](https://docs.zk.link/developer/api-and-sdk/transaction/change_pubkey.md)
- [Withdraw](https://docs.zk.link/developer/api-and-sdk/transaction/withdraw.md)
- [Transfer](https://docs.zk.link/developer/api-and-sdk/transaction/transfer.md)
- [ForcedExit](https://docs.zk.link/developer/api-and-sdk/transaction/forced_exit.md)
- [OrderMatching](https://docs.zk.link/developer/api-and-sdk/transaction/order_matching.md)
- [AutoDeleveraging](https://docs.zk.link/developer/api-and-sdk/transaction/auto_deleveraging.md)
- [ContractMatching](https://docs.zk.link/developer/api-and-sdk/transaction/contract_matching.md)
- [Funding](https://docs.zk.link/developer/api-and-sdk/transaction/funding.md)
- [Liquidation](https://docs.zk.link/developer/api-and-sdk/transaction/liquidation.md)
- [UpdateGlobalVar](https://docs.zk.link/developer/api-and-sdk/transaction/update_global_var.md)
- [Private Key & Signature](https://docs.zk.link/developer/api-and-sdk/private_key.md)
- [Algorithm](https://docs.zk.link/developer/api-and-sdk/private_key/algorithm.md)
- [ChangePubKey](https://docs.zk.link/developer/api-and-sdk/private_key/chaneg_pubkey.md)
- [Withdraw](https://docs.zk.link/developer/api-and-sdk/private_key/withdraw.md)
- [Transfer](https://docs.zk.link/developer/api-and-sdk/private_key/transfer.md)
- [ForcedExit](https://docs.zk.link/developer/api-and-sdk/private_key/forced_exit.md)
- [OrderMatching](https://docs.zk.link/developer/api-and-sdk/private_key/order_matching.md)
- [ContractMatching](https://docs.zk.link/developer/api-and-sdk/private_key/contract_matching.md)
- [Funding](https://docs.zk.link/developer/api-and-sdk/private_key/funding.md)
- [Liquidation](https://docs.zk.link/developer/api-and-sdk/private_key/liquidation.md)
- [AutoDeleveraging](https://docs.zk.link/developer/api-and-sdk/private_key/auto_deleveraging.md)
- [UpdateGlobalVar](https://docs.zk.link/developer/api-and-sdk/private_key/update_global_var.md)
- [SDK](https://docs.zk.link/developer/sdk.md)
- [Go](https://docs.zk.link/developer/sdk/changelog.md)
- [Types](https://docs.zk.link/developer/sdk/changelog/basic_types.md)
- [Signature](https://docs.zk.link/developer/sdk/changelog/signer.md)
- [Utils](https://docs.zk.link/developer/sdk/changelog/utils.md)
- [Transactions](https://docs.zk.link/developer/sdk/changelog/transactions.md)
- [ChangePubKey](https://docs.zk.link/developer/sdk/changelog/transactions/1-change-pubkey.md)
- [Withdraw](https://docs.zk.link/developer/sdk/changelog/transactions/2-withdraw.md)
- [Transfer](https://docs.zk.link/developer/sdk/changelog/transactions/3-transfer.md)
- [ForcedExit](https://docs.zk.link/developer/sdk/changelog/transactions/4-forced-exit.md)
- [OrderMatching](https://docs.zk.link/developer/sdk/changelog/transactions/5-order-matching.md)
- [ContractMatching](https://docs.zk.link/developer/sdk/changelog/transactions/6-contract-matching.md)
- [AutoDeleveraging](https://docs.zk.link/developer/sdk/changelog/transactions/7-auto-deleveraging.md)
- [Funding](https://docs.zk.link/developer/sdk/changelog/transactions/8-funding.md)
- [Liquidation](https://docs.zk.link/developer/sdk/changelog/transactions/9-liquidation.md)
- [UpdateGlobalVar](https://docs.zk.link/developer/sdk/changelog/transactions/10-update-global-var.md)
- [Js](https://docs.zk.link/developer/sdk/changelog-1.md)
- [Signature](https://docs.zk.link/developer/sdk/changelog-1/signer.md)
- [Utils](https://docs.zk.link/developer/sdk/changelog-1/utils.md)
- [Transactions](https://docs.zk.link/developer/sdk/changelog-1/transactions.md)
- [ChangePubKey](https://docs.zk.link/developer/sdk/changelog-1/transactions/1-change-pubkey.md)
- [Withdraw](https://docs.zk.link/developer/sdk/changelog-1/transactions/2-withdraw.md)
- [Transfer](https://docs.zk.link/developer/sdk/changelog-1/transactions/3-transfer.md)
- [ForcedExit](https://docs.zk.link/developer/sdk/changelog-1/transactions/4-forced-exit.md)
- [OrderMatching](https://docs.zk.link/developer/sdk/changelog-1/transactions/5-order-matching.md)
- [ContractMatching](https://docs.zk.link/developer/sdk/changelog-1/transactions/6-contract-matching.md)
- [AutoDeleveraging](https://docs.zk.link/developer/sdk/changelog-1/transactions/7-auto-deleveraging.md)
- [Funding](https://docs.zk.link/developer/sdk/changelog-1/transactions/8-funding.md)
- [Liquidation](https://docs.zk.link/developer/sdk/changelog-1/transactions/9-liquidation.md)
- [UpdateGlobalVar](https://docs.zk.link/developer/sdk/changelog-1/transactions/10-update-global-var.md)
- [Dart](https://docs.zk.link/developer/sdk/changelog-2.md)
- [Signature](https://docs.zk.link/developer/sdk/changelog-2/signer.md)
- [Utils](https://docs.zk.link/developer/sdk/changelog-2/utils.md)
- [Transactions](https://docs.zk.link/developer/sdk/changelog-2/transactions.md)
- [ChangePubKey](https://docs.zk.link/developer/sdk/changelog-2/transactions/1-change-pubkey.md)
- [Withdraw](https://docs.zk.link/developer/sdk/changelog-2/transactions/2-withdraw.md)
- [Transfer](https://docs.zk.link/developer/sdk/changelog-2/transactions/3-transfer.md)
- [ForcedExit](https://docs.zk.link/developer/sdk/changelog-2/transactions/4-forced-exit.md)
- [OrderMatching](https://docs.zk.link/developer/sdk/changelog-2/transactions/5-order-matching.md)
- [ContractMatching](https://docs.zk.link/developer/sdk/changelog-2/transactions/6-contract-matching.md)
- [AutoDeleveraging](https://docs.zk.link/developer/sdk/changelog-2/transactions/7-auto-deleveraging.md)
- [Funding](https://docs.zk.link/developer/sdk/changelog-2/transactions/8-funding.md)
- [Liquidation](https://docs.zk.link/developer/sdk/changelog-2/transactions/9-liquidation.md)
- [UpdateGlobalVar](https://docs.zk.link/developer/sdk/changelog-2/transactions/10-update-global-var.md)
- [Connected Networks](https://docs.zk.link/network-information/connected-networks.md)
- [Mainnet](https://docs.zk.link/network-information/connected-networks/mainnet_networks.md)
- [Testnet](https://docs.zk.link/network-information/connected-networks/testnet_networks.md)
- [DApps & Deployment Addresses](https://docs.zk.link/network-information/dapps-and-deployment-addresses.md)
- [Mainnet](https://docs.zk.link/network-information/dapps-and-deployment-addresses/mainnet_addresses.md)
- [Testnet](https://docs.zk.link/network-information/dapps-and-deployment-addresses/testnet_addresses.md)
- [Withdraw](https://docs.zk.link/wallet-and-user-fund-streamline/withdraw.md)
- [Wallet Integration & AA Wallet](https://docs.zk.link/wallet-and-user-fund-streamline/wallet.md)
- [Deposit](https://docs.zk.link/wallet-and-user-fund-streamline/deposit.md)
- [Heavyweight Integration (Multi-Chain Derivatives & Spot Exchange)](https://docs.zk.link/integration-cases/derivatives.md)
- [Simple Integration (Multi-Chain Spot Exchange)](https://docs.zk.link/integration-cases/spot.md)
- [Outline](https://docs.zk.link/security/outline.md)
- [External Application Failure](https://docs.zk.link/security/outline/refund.md)
- [ZkLink-X Failure](https://docs.zk.link/security/outline/recovery.md)
- [Audits](https://docs.zk.link/appendix/audits.md)
- [FAQ](https://docs.zk.link/appendix/faq.md)
- [glossary](https://docs.zk.link/appendix/glossary.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.zk.link/welcome/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
